Bug 109844 - memory_cs module missing
memory_cs module missing
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-12 05:30 EST by Sergey V. Udaltsov
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-27 00:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergey V. Udaltsov 2003-11-12 05:30:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
On my laptop I have O2Micro SmartCard reader (which I know is NOT
supported - but anyway). It is found by cardmgr as Anonymous Memory.
Then cardmgr is trying to load memory_cs - and fails. Just because
kernel-pcmcia-cs (or kernel 2.4.22?) does not include the module

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use any pcmcia memory module 
2. /etc/rc.d/init.d/pcmcia restart 

Additional info:
Comment 1 Arjan van de Ven 2003-11-12 05:33:03 EST
memory_cs is cardmgr's "Ehhhh I don't know" answer.
It wouldn't have done anything good at all.
Comment 2 Sergey V. Udaltsov 2003-11-12 05:55:17 EST
Well, could at least it give some more sensible error message? Or at
least "man memory_cs" should mention it - and not give some info about
the module which is not there (and would not work anyway, as you say).
BTW, IIRC correctly, memory_cs existed in some earlier kernels. Am I

Note You need to log in before you can comment on or make changes to this bug.